package de.ivu.elect.presentation.lokalisierung.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;

import de.ivu.elect.business.lokalisierung.boundary.LokalisierungChangeEvent;
import de.ivu.elect.business.lokalisierung.boundary.LokalisierungConversationSelect;
import de.ivu.elect.business.lokalisierung.entity.Lokalisierung;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractLokalisierungAction extends AbstractActionEntry<Lokalisierung> {

  private static final long serialVersionUID = 1L;

  @Inject
  protected LokalisierungConversationSelect conversationSelect;

  @Inject
  private LokalisierungChangeEvent changeEvent;

  @Override
  public boolean isDisabledInternal(@Nonnull Lokalisierung entity) {
    return entity == null;
  }

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

  @Override
  protected void fireChangeEvent() {
    changeEvent.sendChangeEvent();
  }


  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }
}
